#include "pointgenerator.h"
#include <QDateTime>

PointGenerator::PointGenerator(QObject *parent) : QObject(parent)
{
    this->timer = new QTimer();
    this->timer->setSingleShot(false);
    this->timer->start(1000);
    connect(this->timer, SIGNAL(timeout()), this, SLOT(timeout()));

    qsrand(QDateTime::currentMSecsSinceEpoch() / 1000);
}

void PointGenerator::timeout()
{
    emit this->doAddSample(qrand() % 100);
}
