import QtQuick 2.9
import QtQuick.Controls 2.2

Page {
    property alias button: button
    property alias slider: slider

    header: Label {
        text: qsTr("Page 1")
        font.pixelSize: Qt.application.font.pixelSize * 2
        padding: 10
    }

    Button {
        id: button
        y: 110
        width: 120
        height: 60
        text: qsTr("LED")
        anchors.left: parent.left
        anchors.leftMargin: 100
        anchors.verticalCenter: parent.verticalCenter
        checkable: true
    }

    Slider {
        id: slider
        x: 260
        y: 110
        width: 300
        anchors.right: parent.right
        anchors.rightMargin: 100
        anchors.verticalCenterOffset: 0
        anchors.verticalCenter: parent.verticalCenter
        from: 0
        to: 100
        stepSize: 10
        value: 0
    }
}
