import QtQuick 2.9
import QtQuick.Controls 2.2
import QtCharts 2.0

ChartView {
    antialiasing: true
    animationOptions: ChartView.NoAnimation

    property int numberOfPoints: 0
    property int maxNumberOfPoints: 100
    property alias dataSeries: dataSeries

    LineSeries {
        id: dataSeries
        name: "Values"
        useOpenGL: true

        property alias xAxis: xAxis

        axisX: ValueAxis {
            id: xAxis
            min: -1 * maxNumberOfPoints
            max: 0
            visible: false
        }
        axisY: ValueAxis {
            min: 0
            max: 100
        }
    }
}
