#ifndef LEDHANDLER_H
#define LEDHANDLER_H

#include <QObject>
#include <QFile>

class LedHandler : public QObject
{
    Q_OBJECT
public:
    explicit LedHandler(QObject *parent = nullptr);

signals:

public slots:
    void setEnabled(bool enabled);
    void setBrightness(unsigned int brightness);

private:
    QFile* gpioLedFile;
    QFile* pwmLedFile;
};

#endif // LEDHANDLER_H
