#ifndef POINTGENERATOR_H
#define POINTGENERATOR_H

#include <QObject>
#include <QTimer>

class PointGenerator : public QObject
{
    Q_OBJECT
public:
    explicit PointGenerator(QObject *parent = nullptr);

signals:
    void doAddSample(int value);

public slots:
    void timeout();

private:
    QTimer* timer;
};

#endif // POINTGENERATOR_H
